# Uses of Class
org.eclipse.birt.report.model.api.extension.ExtendedElementException

Packages that use ExtendedElementException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of ExtendedElementException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw ExtendedElementException
Modifier and Type
Method
Description
`IReportItem`
ExtendedItemHandle.`getReportItem()`
Returns the interface `IReportItem` for extension.
`void`
ExtendedItemHandle.`loadExtendedElement()`
Loads the instance of extended element.

## Uses of ExtendedElementException in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that throw ExtendedElementException
Modifier and Type
Method
Description
`void`
IReportItem.`checkProperty(String propName, Object value)`
Checks the value of a property prior to setting it.
`void`
ReportItem.`checkProperty(String propName, Object value)`
`void`
IReportItem.`deserialize(String propName, ByteArrayInputStream data)`
Deserializes the model.
`void`
ReportItem.`deserialize(String propName, ByteArrayInputStream data)`